Package com.enonic.xp.query.highlight

## Class HighlightPropertySettings

- java.lang.Object
- - com.enonic.xp.query.highlight.HighlightPropertySettings

- Direct Known Subclasses:
    `HighlightQuerySettings`

      public class HighlightPropertySettings
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `HighlightPropertySettings.Builder<T extends HighlightPropertySettings.Builder>` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `HighlightPropertySettings​(HighlightPropertySettings.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HighlightPropertySettings.Builder` | `create()` |
    `static HighlightPropertySettings` | `empty()` |
    `boolean` | `equals​(Object o)` |
    `Fragmenter` | `getFragmenter()` |
    `Integer` | `getFragmentSize()` |
    `Integer` | `getNoMatchSize()` |
    `Integer` | `getNumOfFragments()` |
    `Order` | `getOrder()` |
    `ImmutableList<String>` | `getPostTags()` |
    `ImmutableList<String>` | `getPreTags()` |
    `Boolean` | `getRequireFieldMatch()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HighlightPropertySettings

          protected HighlightPropertySettings​(HighlightPropertySettings.Builder builder)

  - ### Method Detail

    - #### getFragmenter

          public Fragmenter getFragmenter()

    - #### getFragmentSize

          public Integer getFragmentSize()

    - #### getNoMatchSize

          public Integer getNoMatchSize()

    - #### getNumOfFragments

          public Integer getNumOfFragments()

    - #### getOrder

          public Order getOrder()

    - #### getPreTags

          public ImmutableList<String> getPreTags()

    - #### getPostTags

          public ImmutableList<String> getPostTags()

    - #### getRequireFieldMatch

          public Boolean getRequireFieldMatch()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### create

          public static HighlightPropertySettings.Builder create()

    - #### empty

          public static HighlightPropertySettings empty()